%define	name	liferea
%define	epoch	1
%define version 1.1.9
%define release %mkrel 2

Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
License:	GPL
Group:		Networking/News
URL:		http://liferea.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://prdownloads.sourceforge.net/liferea/%{name}-%{version}.tar.bz2
Patch: liferea-1.1.5-prototypes.patch
Patch1:	liferea-1.1.0-firefox-detect.patch
Patch2: liferea-1.1.5-planetmandriva.patch
BuildRequires:	dbus-glib-devel
BuildRequires:	gtkhtml2-devel 
BuildRequires:	gtk+2-devel
BuildRequires:	gnome-vfs2-devel mozilla-firefox-devel ImageMagick
BuildRequires:	libnotify-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgnutls-devel
#BuildRequires:	liblua-devel
BuildRequires:	libsm-devel
BuildRequires:	desktop-file-utils
Requires:	%{_lib}mozilla-firefox = %(rpm -q --queryformat %{VERSION} mozilla-firefox)

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%prep
%setup -q -n %name-%version
%patch -p1 -b .prototypes
%patch1 -p1 -b .firefox-detect
%patch2 -p1 -b .planetmandriva
autoconf
perl -pi -e "s^/usr/lib^%_libdir^" src/liferea.in

%build
%if %mdkversion <= 1000
%define __libtoolize true
%define __cputoolize true
%endif
#gw else it does not build with ff 1.5
export CXX="g++ -DMOZILLA_INTERNAL_API"
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry
%__mkdir_p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/liferea" \
 icon="%{name}.png" \
 longtitle="News aggregator simulating FeedReader" \
 needs="x11" \
 section="Internet/News" \
 title="Liferea" \
 startup_notify="true" xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
%__mkdir_p %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_liconsdir}
%__install -D -m 644       pixmaps/liferea.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/liferea.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 pixmaps/liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
%post_install_gconf_schemas %name
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/liferea.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/*.la
%_mandir/man1/*
%lang(pl) %_mandir/pl/man1/liferea.1*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1.1.9-2mdv2007.0
+ Revision: 80066
- fix firefox dep

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.9-2mdv2007.1
+ Revision: 79217
- rebuild for new firefox

* Sat Nov 04 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.9-1mdv2007.1
+ Revision: 76476
- new version
- drop patch 3

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.8-1mdv2007.1
+ Revision: 74781
- new version
- patch to fix build

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-5mdv2007.1
+ Revision: 72590
- add missing buildrequires

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-4mdv2007.1
+ Revision: 72494
- new version 1.1.7d

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-3mdv2007.1
+ Revision: 72493
- new version

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-2mdv2007.0
+ Revision: 71945
- new version 1.1.7b

* Sun Oct 22 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-1mdv2007.0
+ Revision: 71680
- fix previous commit
- new version 1.1.7b
  unpack patches
- Import liferea

